
Name:           python-polib
Version:        0.7.0
Release:        %mkrel 1
Summary:        A library to parse and manage gettext catalogs

Group:          Development/Python
License:        MIT
URL:            http://bitbucket.org/izi/polib/
Source0:	http://bitbucket.org/izi/polib/downloads/polib-%{version}.tar.gz
# Update to upstream commit dbafdc621bf4, which include following:
#  * Add check for unescaped quotes at the beginning of the string + unit tests
#  * Fixed issue #27 (polib didn't check unescaped double quote) + better error handling
#  * Fixed typos in previous commit
#  * Fixed issue #26 IOError when parsing empty comments 
#  * Do not hardcode polib version in doc conf
Patch0:         polib-%{version}_dbafdc621bf4.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  python-devel

%description
polib allows you to manipulate, create, modify gettext files (pot, po and
mo files). You can load existing files, iterate through it's entries, add,
modify entries, comments or metadata, etc... or create new po files from
scratch.

polib provides a simple and pythonic API, exporting only three convenience
functions 'pofile', 'mofile' and 'detect_encoding', and the 4 core classes:
POFile, MOFile, POEntry and MOEntry for creating new files/entries.

%prep
%setup -q -n polib-%{version}
%patch0 -p1 -b .%{version}_dbafdc621bf4

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*





%changelog

* Fri Nov 18 2011 philippem <philippem> 0.7.0-1.mga2
+ Revision: 168691
- Update to 0.7.0 with commit dbafdc621bf4 fixes

* Sun Jun 19 2011 kharec <kharec> 0.6.3-1.mga2
+ Revision: 109708
- new version 0.6.3

* Wed Feb 02 2011 ahmad <ahmad> 0.5.5-1.mga1
+ Revision: 46314
- imported package python-polib


* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.5-1mdv2011.0
+ Revision: 603070
- update to new version 0.5.5

* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.4-2mdv2011.0
+ Revision: 592471
- rebuild to get correct auto requries

* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.4-1mdv2011.0
+ Revision: 587727
- update to new version 0.5.4

* Wed Sep 29 2010 Michael Scherer <misc@mandriva.org> 0.5.3-1mdv2011.0
+ Revision: 581951
- import python-polib

